Return a list of configuration section settings
GET /api
Response
200 — The list of configuration section settings
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Return a single configuration section for the given id
GET /api
Path Parameters
idstring (required)
Response
200 — The requested configuration section
DescriptionstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
Example Response
{
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}Return a structure that describes how to dynamically render the configuration section
GET /api
Path Parameters
idstring (required)
Response
200 — The requested configuration section metadata
DescriptionstringTypesarray of objectNamestringPropertiesarray of object
Example Response
{
"Description": "string",
"Types": [
{
"Name": "string",
"Properties": [
{}
]
}
]
}Return the current configuration for a specific configuration section
GET /api
Path Parameters
idstring (required)
Response
200 — The current configuration for the specified configuration section
Example Response
"string"Update the configuration values for a specific configuration section
PUT /api
Refer to the configuration/{id}/metadata endpoint for details on the specific data structure required for a given configuration section id.
Path Parameters
idstring (required)
Request Body
A string payload.
Response
200 — Success
Example Request
"string"Example Response
"string"